×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Sep 2008
    Location
    Vancouver, Canada
    Posts
    588

    No launcher icon for AppTrk / on installation gives Component already built-in error!

    Hi,

    I am facing issues related to debugging on Nokia 603, a belle FP2 device.

    I am working on Nokia Qt sdk 1.1.2 for symbian^1 devices setup on windows 7 OS.

    I know AppTrk/CODA needs to be running before starting the debugging. I could not find any launcher icon for AppTrk, so I thought its not installed.
    And therefore I tried to install it from location C:\QtSDK\Symbian\sis\Symbian^1\TRK\s60_5_0_app_trk_3_2_7.sisx. But when tried to install, I got
    an installation error saying Unable to install. Component is built-in! If its built-in then I should be able to launch it from somewhere right but
    there is no launcher icon. I also tried to find it using Search option in the phone menu but could not find anything.

    So it seems I cannot install it and I cannot remove it because it does not show up the Installed apps list as well. I do not want to use CODA and moreover in Qt Sdk for symbian, CODA installation file .sisx
    is not present in the sdk. Only TRK sis files are present for 3rd ed fp1, fp2 and 5th edition devices.

    Can somebody point out what could be the issue in here or this is a known issue on this device? Any solution to this?

    Thanks

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,684

    Re: No launcher icon for AppTrk / on installation gives Component already built-in er

    The component is built-in message may be a bit misleading. There is probably a stub file to block installation of TRK.
    TRK does not necessarily exist for Belle FP2. S60 5th edition TRK is certainly not a good pick here, as it is 4-5 generations older than you device (S60 5th=Symbian^1, Symbian^2, Symbian^3~Anna, Belle, Belle FP).
    Have you tried CODA?

  3. #3
    Registered User
    Join Date
    Sep 2008
    Location
    Vancouver, Canada
    Posts
    588

    Re: No launcher icon for AppTrk / on installation gives Component already built-in er

    Yes I tried to install CODA for symbian^3 devices. It got installed successfully but when I tried to debug using it, the device rebooted when the control was about to hit the first breakpoint.

    One more thing. I am building my project using symbian^1 Qt sdk but CODA installed is for symbian^3 devices. Do you think this might create some discrepancy and might be the reason for device reboot?
    Would be nice if you could provide me with CODA downlink. Another thing is that me using a belle fp2 device, I believed CODA should already be installed but doesn't seem the case.

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,684

    Re: No launcher icon for AppTrk / on installation gives Component already built-in er

    Quote Originally Posted by raj8nokiaforum View Post
    Yes I tried to install CODA for symbian^3 devices. It got installed successfully but when I tried to debug using it, the device rebooted when the control was about to hit the first breakpoint.
    Dumb question: have you tried it again after the reboot? Depending on the use of the device (development/personal), you may want to check for firmware updates and do a factory reset.
    One more thing. I am building my project using symbian^1 Qt sdk but CODA installed is for symbian^3 devices. Do you think this might create some discrepancy and might be the reason for device reboot?
    I really do not know, I have never developed anything Qt. You may want to try with some simple, native code built with Carbide.c++ and the Belle SDK.
    Would be nice if you could provide me with CODA downlink. Another thing is that me using a belle fp2 device, I believed CODA should already be installed but doesn't seem the case.
    I do not know direct links, I use the IDE for installing the agents. Here I see "Public CODA 4.0.23+4.1.16 Unified Installer", with explanation saying "Version 4.0.23 (through Symbian Belle) and Version 4.1.16 (for newer devices)". So Belle FP devices seem to have a newer CODA build.

Similar Threads

  1. unable to install component already built -in
    By purnima.attarsingh in forum Symbian
    Replies: 1
    Last Post: 2011-08-23, 01:57
  2. [moved] "component is built in" error.
    By Dvirus in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2010-04-11, 18:59
  3. [split] Unable to install TRK. Component is built in.
    By hpanchal4u in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2009-07-05, 09:37
  4. Self-signed application error :"Unable to install. Component is built-in"
    By hoangtv1 in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 6
    Last Post: 2008-04-12, 21:47
  5. Replies: 8
    Last Post: 2006-02-16, 06:10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×